SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Public Member Functions | Public Attributes | List of all members
SLNet::BPSTracker Struct Reference

`#include <slikenet/ReliabilityLayer.h>`

## Classes

struct | TimeAndValue2

## Public Member Functions

| BPSTracker ()
| ~BPSTracker ()
void | Reset (const char *file, unsigned int line)
void | Push1 (CCTimeType time, uint64_t value1)
uint64_t | GetBPS1 (CCTimeType time)
uint64_t | GetBPS1Threadsafe (CCTimeType time)
uint64_t | GetTotal1 (void) const
void | ClearExpired1 (CCTimeType time)

## Public Attributes

uint64_t | total1
uint64_t | lastSec1
DataStructures::Queue < TimeAndValue2 > | dataQueue

## Detailed Description

Definition at line 89 of file ReliabilityLayer.h.

## Constructor & Destructor Documentation

BPSTracker::BPSTracker | ( |  | ) |

Definition at line 76 of file ReliabilityLayer.cpp.

References _FILE_AND_LINE_, and Reset().

BPSTracker::~BPSTracker | ( |  | ) |

Definition at line 77 of file ReliabilityLayer.cpp.

## Member Function Documentation

void BPSTracker::ClearExpired1 | ( | CCTimeType | time | ) |

Definition at line 98 of file ReliabilityLayer.cpp.

References dataQueue, DataStructures::Queue< queue_type >::IsEmpty(), lastSec1, DataStructures::Queue< queue_type >::Peek(), DataStructures::Queue< queue_type >::Pop(), SLNet::BPSTracker::TimeAndValue2::time, and SLNet::BPSTracker::TimeAndValue2::value1.

uint64_t SLNet::BPSTracker::GetBPS1 | ( | CCTimeType | time | ) |

inline

Definition at line 96 of file ReliabilityLayer.h.

References lastSec1.

uint64_t SLNet::BPSTracker::GetBPS1Threadsafe | ( | CCTimeType | time | ) |

inline

Definition at line 97 of file ReliabilityLayer.h.

References lastSec1.

uint64_t BPSTracker::GetTotal1 | ( | void |  | ) | const

Definition at line 83 of file ReliabilityLayer.cpp.

References total1.

void SLNet::BPSTracker::Push1 | ( | CCTimeType | time,
|  | uint64_t | value1
| ) |  |

inline

Definition at line 94 of file ReliabilityLayer.h.

References _FILE_AND_LINE_, dataQueue, lastSec1, DataStructures::Queue< queue_type >::Push(), and total1.

Referenced by SLNet::ReliabilityLayer::HandleSocketReceiveFromConnectedPlayer(), SLNet::ReliabilityLayer::Send(), and SLNet::ReliabilityLayer::Update().

void BPSTracker::Reset | ( | const char * | file,
|  | unsigned int | line
| ) |  |

Definition at line 79 of file ReliabilityLayer.cpp.

References DataStructures::Queue< queue_type >::Clear(), dataQueue, lastSec1, and total1.

Referenced by BPSTracker().

## Member Data Documentation

DataStructures::Queue<TimeAndValue2> SLNet::BPSTracker::dataQueue

Definition at line 116 of file ReliabilityLayer.h.

Referenced by ClearExpired1(), Push1(), and Reset().

uint64_t SLNet::BPSTracker::lastSec1

Definition at line 114 of file ReliabilityLayer.h.

Referenced by ClearExpired1(), GetBPS1(), GetBPS1Threadsafe(), Push1(), and Reset().

uint64_t SLNet::BPSTracker::total1

Definition at line 114 of file ReliabilityLayer.h.

Referenced by GetTotal1(), Push1(), and Reset().

The documentation for this struct was generated from the following files:

- Source/include/slikenet/ReliabilityLayer.h
- Source/src/ReliabilityLayer.cpp